IEEE80211_PROTO(9)

NAME
ieee80211_proto_attach, ieee80211_proto_detach, ieee80211_print_essid, ieee80211_dump_pkt, ieee80211_fix_rate, ieee80211_proto - software 802.11 stack protocol helper functions

SYNOPSIS
#include <net80211/ieee80211_var.h>
#include <net80211/ieee80211_proto.h>
void
ieee80211_proto_attach(struct ieee80211com *ic);
void
ieee80211_proto_detach(struct ieee80211com *ic);
void
ieee80211_print_essid(u_int8_t *essid, int len);
void
ieee80211_dump_pkt(u_int8_t *buf, int len, int rate, int rssi);
int
ieee80211_fix_rate(struct ieee80211_node *ni, int flags);

DESCRIPTION
These functions are helper functions used throughout the software 802.11 protocol stack.

SEE ALSO
ieee80211(9)

HISTORY
The ieee80211 series of functions first appeared in NetBSD 1.5, and were later ported to FreeBSD 4.6.

AUTHORS
-nosplit This man page was written by Bruce M. Simpson <bms@FreeBSD.org> and Darron Broad <darron@kewl.org>.